# Components defined here are required to be kept in sync with hack/gen-versions/calico.go.tpl in the tigera/operator repository.
# Ideally we can remove this file and the need to re-build the operator altogether if we change how images are loaded into the test cluster.
title: latest
components:
  libcalico-go:
    version: master
  typha:
    image: calico/typha
    version: test-build
  calico/node:
    image: library/node
    version: test-build
  calico/cni:
    image: calico/cni
    version: test-build
  calico/node-windows:
    version: test-build
  calico/cni-windows:
    version: test-build
  calico/kube-controllers:
    image: calico/kube-controllers
    version: test-build
  calico/goldmane:
    version: test-build
  flexvol:
    image: calico/pod2daemon-flexvol
    version: test-build
  calico/apiserver:
    image: calico/apiserver
    version: test-build
  calico/csi:
    image: calico/csi
    version: test-build
  csi-node-driver-registrar:
    version: test-build
  key-cert-provisioner:
    version: test-build
  calico/whisker:
    version: test-build
  calico/whisker-backend:
    version: test-build
  calico/envoy-gateway:
    version: test-build
  calico/envoy-proxy:
    version: test-build
  calico/envoy-ratelimit:
    version: test-build
  calico/guardian:
    version: test-build
